Welcome, Guest. Please login or register.
Amiga Kit Amiga Store Iridium Banner AMIStore App Store A1200/A600 4xIDE Interface

AuthorTopic: ADescent problem  (Read 1093 times)

0 Members and 1 Guest are viewing this topic.

Offline lurkist

ADescent problem
« on: March 07, 2006, 08:18:11 PM »
Found Descent in a charity shop today for 50p!
After figuring out that it is v1.0 I applied the Aminet patch and made it 1.5.  It now gets past the screenmode requesters and crashes with an ixemul.library window saying EMT trap.  Does anyone know why?  What versions of ixemul.library are people using?

Cheers
A1200 Power Tower, Blizzard 1260 66 +32MB, OS3.9, 2.5\\" HD, IDEfix97 + DVD-RW + Zip, SD/FF + 15\\" CRT, Ioblix1200P + scanner, PCMCIA LAN + router
 

Offline amigagr

Re: ADescent problem
« Reply #1 on: March 07, 2006, 08:22:31 PM »
i think that is around 48.x the latest. have you run snoopdos?
A3040/25 AmigaOS 3.9
A1260BPPC AmigaOS 3.9/4.0
Sam440ep AmigaOS 4.1.2
PegasosII/G3 AmigaOS 4.1.2/MorphOS 2.7/Debian 5.0.7/SUSE 11.1
MacMini/G4 1.5 MorphOS 2.7/OSX 10.5.8
Long Live Amiga

If i am going to have bugs on my system,
at least let me keep the latest versions.
Neil Bothwick
 

Offline lurkist

Re: ADescent problem
« Reply #2 on: March 07, 2006, 08:31:42 PM »
I've tried with v48 and v48.2, same problem.  Snoopdos says no problem at the point it fails, but earlier in the startup there was an ixnet fail.  Are they connected?
A1200 Power Tower, Blizzard 1260 66 +32MB, OS3.9, 2.5\\" HD, IDEfix97 + DVD-RW + Zip, SD/FF + 15\\" CRT, Ioblix1200P + scanner, PCMCIA LAN + router
 

Offline amigagr

Re: ADescent problem
« Reply #3 on: March 07, 2006, 08:35:44 PM »
yes they are pair as far as i know, and they used for progs ported from unix like os.
A3040/25 AmigaOS 3.9
A1260BPPC AmigaOS 3.9/4.0
Sam440ep AmigaOS 4.1.2
PegasosII/G3 AmigaOS 4.1.2/MorphOS 2.7/Debian 5.0.7/SUSE 11.1
MacMini/G4 1.5 MorphOS 2.7/OSX 10.5.8
Long Live Amiga

If i am going to have bugs on my system,
at least let me keep the latest versions.
Neil Bothwick
 

Offline zipper

Re: ADescent problem
« Reply #4 on: March 07, 2006, 09:07:39 PM »
I have it working with 48.2. But I think it does work just with AHI 4.x, not newer, not older. And Warp3D PPC version doesn't work with the latest Warp, 68k does with bugs.
 

Offline humppa

Re: ADescent problem
« Reply #5 on: March 19, 2006, 09:05:05 PM »
Quote
And Warp3D PPC version doesn't work with the latest Warp, 68k does with bugs.


Same problem here, I can't get the Warp3D-version to work. I am using a BPPC/Mediator/Voodoo3 combo.
The ADescentPPC-version without Warp3D works without any problems though.
 

Offline MrZammler

Re: ADescent problem
« Reply #6 on: March 20, 2006, 02:15:19 PM »
Make sure you have the correct ixemul.library for your processor. Does it have an FPU? IIRC, EMT traps have something to do with the FPU or something.

Also make sure that you're giving enough stack to adescent.
Anyway is the only way
 

Offline itix

Re: ADescent problem
« Reply #7 on: March 20, 2006, 03:26:56 PM »
I would say the port is buggy because ixemul should not be used with system libraries ever.
My Amigas: A500, Mac Mini and PowerBook
 

Offline humppa

Re: ADescent problem
« Reply #8 on: March 20, 2006, 03:36:00 PM »
With the version of ADescentWOSW3D, it's more likely a Warp3D problem, the version without W3D runs without a hitch.
 

Offline zipper

Re: ADescent problem
« Reply #9 on: March 20, 2006, 05:28:23 PM »
Yes, it works with the earlier version of Warp3D, preceeding the Voodoo enhancements. I wrote to Hansjoerg years ago, but he hasn't had the time to fix ADescent Warp version.
 

Offline humppa

Re: ADescent problem
« Reply #10 on: March 20, 2006, 05:57:25 PM »
Ah, that's sad. But anyway, thanks for letting me know. I wouldn't try anymore then...